org.apache.ivy.util

## Class HostUtil

- java.lang.Object
- - org.apache.ivy.util.HostUtil

    public final class HostUtil
    extends java.lang.Object

This class contains basic helper methods for the Host.

### Method Summary

Methods
`static java.lang.String` `getLocalHostName()` This method returns the name of the current Host, if this name cannot be determined, localhost will be returned.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLocalHostName

    public static java.lang.String getLocalHostName()

This method returns the name of the current Host, if this name cannot be determined, localhost will be returned.

Returns:
  The name of the current "local" Host.